Subject: natural architecture

From: [email-masked] (A300av8r)
Date: 13 Mar 1996 17:19:56 -0500

I am looking for post-graduate courses on natural architecture. Please
send this information to :Mane Futo, my e-mail is:
73000,[email-masked]., or to the AOL address shown in this message. 
I'm from Venezuela, got my degree last year from USB and I'm interested in
a masters degree on natural or ecological architecture...it does not
matter where.....